import { Component, h, Host, Prop } from '@stencil/core';
export class Spinner {
  constructor() {
    /**
     * If `true` the component can be used on dark background
     */
    this.inverted = false;
    /**
     * If `true` the component is smaller
     */
    this.small = false;
  }
  render() {
    return (h(Host, { class: { 'is-inverted': this.inverted, 'is-small': this.small } },
      h("div", { class: "bounce1" }),
      h("div", { class: "bounce2" }),
      h("div", { class: "bounce3" })));
  }
  static get is() { return "bal-spinner"; }
  static get encapsulation() { return "scoped"; }
  static get originalStyleUrls() { return {
    "$": ["bal-spinner.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["bal-spinner.css"]
  }; }
  static get properties() { return {
    "inverted": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "If `true` the component can be used on dark background"
      },
      "attribute": "inverted",
      "reflect": false,
      "defaultValue": "false"
    },
    "small": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "If `true` the component is smaller"
      },
      "attribute": "small",
      "reflect": false,
      "defaultValue": "false"
    }
  }; }
}
